# Objective

[X] Mobs spawn in waves
[X] Mobs move towards goal
[X] Mobs carry bomb to goal
[X] Mobs arm bomb
[X] Bomb explodes

# Malloc Beta

[X] One arena config
[X] Config reload
[X] Leave games
[X] Join games
[ ] Lobby with instructions
[ ] Drop back to lobby on game over
[ ] Grist drops
[ ] Item shoppes
[ ] Command tab completion

# Scaled waves

[ ] Limit ranged mobs and Ravagers to non-bomb-carrier state
[ ] Weaker mobs, more of them
[ ] Mob categories
[ ] Spawnpoint categories

# UX

[X] Wave boss bar
[X] Mob count boss bar
[X] Stage titles
[X] EXPLOSIONS
[X] Bomb model
[ ] Pretty bomb model
[ ] "Player $X is ready" message in chat
[ ] Colored titles
[ ] Clickable join links in /list
[ ] Clickable /leave action
[ ] Clickable /ready in chat
[ ] Countdown while in warmup
[ ] Countdown shrinks w/ every /ready player
[ ] Target catches on fire more it is lit
[ ] Sidebar
[ ] List of mobs in next wave

# Social

[ ] Automatic VC groups for games
[ ] DiscordSRV
[ ] Plan stats
[ ] /invite friends to games
[ ] /voterestart
[ ] Medals/awards/scoreboards

# Mechanics

[X] Mob tracking should prioritize bomb
[X] Mobs recover dropped bombs
[X] Bomb carriers are slower
[ ] Coin drops
[ ] Mob categories
[ ] Mobs split between bomb and player priorities
[ ] Bonus coins for complete coin pickup
[ ] Infinite weapons + armor
[ ] Ammo/health spawns

# Scripted waves

[X] Spawn in batches
[X] Randomized spawn locations
[X] Weighted distributions
[X] Batch overlap
[ ] Scripted batch overlap/timings
[ ] Scripted spawn locations
[ ] Scripted waypoint paths
[ ] Bosses

# Mapping

[X] Load arenas from config file
[ ] Live map editing

# Game lifecycle

[X] /list arenas and games
[X] /join games
[X] /ready
[X] /leave games
[ ] /restart games
[X] Spectator mode on death
[X] Player readiness starts countdown
[ ] Game is automatically closed some time after game over
[ ] Return to lobby on leave/close
[ ] Instancing
[ ] Restore health+hunger on respawn/game start
[ ] Respawn during games
[ ] Player revival items

# Powerups

[ ] Coin pickup range
[ ] Coin boost
[ ] Knockback on weapons
[ ] Damage boost
[ ] Speed boost
[ ] Health boost
[ ] Repair barriers

# Fantasy

[ ] Totems/turrets/stationary weapons
